﻿using ContactsApp.Model.Entities;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ContactsApp.UI
{
    public partial class AddressEdit : UserControl
    {
        public AddressEdit()
        {
            InitializeComponent();
            cbbType.DataSource = Enum.GetValues<AddressCategory>();
            tbFlatNo.DataBindings["Text"].Parse +=
                (s, e) => e.Value = string.IsNullOrEmpty(e.Value as string) ? null : int.Parse(e.Value.ToString()!);
        }

        private void AddressEdit_DataContextChanged(object sender, EventArgs e)
        {
            if (DataContext is Address)
                addressBindingSource.DataSource = DataContext;
            else
                addressBindingSource.DataSource = Array.Empty<Address>();
        }
    }
}
