﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ContactsApp.UI
{
    public class RedTextBox : TextBox
    {
        public RedTextBox() : base()
        {
            SetStyle(ControlStyles.UserPaint, true);
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            if (Text != null && Text.ToLower().Contains("red"))
            {
                ControlPaint.DrawBorder(e.Graphics, ClientRectangle,
                    Color.Red, 3, ButtonBorderStyle.Solid,
                    Color.Red, 3, ButtonBorderStyle.Solid,
                    Color.Red, 3, ButtonBorderStyle.Solid,
                    Color.Red, 3, ButtonBorderStyle.Solid);
            }
            e.Graphics.DrawString(Text, Font, Brushes.Black, ClientRectangle.X + 4, ClientRectangle.Y + 4);
        }
    }
}
