﻿using System;
using System.Data;
using System.Windows.Forms;

namespace WindowsFormsData
{
    public partial class DetailsForm : Form
    {
        public DetailsForm()
        {
            InitializeComponent();

            //BindingNavigator not (yet?) supported by the new designer
            //https://github.com/dotnet/winforms/issues/8208

            bindingNavigator = new(addStandardItems: true)
            {
                BindingSource = bindingSource,
                Dock = DockStyle.Top,
                TabIndex = 0,
            };
            //bindingNavigator.AddStandardItems();
            Controls.Add(bindingNavigator);

        }

        private BindingNavigator bindingNavigator;

        private void DetailsForm_DataContextChanged(object sender, EventArgs e)
        {
            bindingSource.DataSource = DataContext;
        }
    }
}
